/*+
 *  Name:
 *     SAE_PAR.H

 *  Purpose:
 *     Define the Starlink ADAM Environment public constants.

 *  Language:
 *     Starlink ANSI C

 *  Type of module:
 *     Global constants header file.

 *  Description:
 *     This file defines the ADAM status values for non-ADAM users.

*  Copyright:
*     Copyright (C) 1990 Science & Engineering Research Council.
*     Copyright (C) 2005 Particle Physics & Astronomy Research Council.
*     All Rights Reserved.

*  Licence:
*     This program is free software; you can redistribute it and/or
*     modify it under the terms of the GNU General Public License as
*     published by the Free Software Foundation; either version 2 of
*     the License, or (at your option) any later version.
*
*     This program is distributed in the hope that it will be
*     useful,but WITHOUT ANY WARRANTY; without even the implied
*     warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
*     PURPOSE. See the GNU General Public License for more details.
*
*     You should have received a copy of the GNU General Public License
*     along with this program; if not, write to the Free Software
*     Foundation, Inc., 51 Franklin Street,Fifth Floor, Boston, MA
*     02110-1301, USA

 *  Authors:
 *     PCTR: P.C.T. Rees (STARLINK)
 *     TIMJ: Tim Jenness (JAC, Hawaii)

 *  History:
 *     12-JUN-1990 (PCTR):
 *        Original version.
 *     23-SEP-2005 (TIMJ):
 *        Use proper constants rather than the C preprocessor
 *     25-SEP-2005 (TIMJ):
 *        Prevent the constants being defined multiple times if
 *        the file is included multiple times.
 *     20-APR-2017 (GSB):
 *        Include messgen-generated definitions.

 *  Bugs:

 *- */

#ifndef SAE_PAR_DEFINED
#define SAE_PAR_DEFINED

#include "sai_err.h"

#endif  /* SAE_PAR_DEFINED */
